GET /templates/{templateID}
List template builds
List all builds for a template
Parameters
templateID·string· path · requirednextToken·string· query · optionalCursor to start the list from
limit·integer· query · optionalMaximum number of items to return per page
Format:
int32Default:
100Minimum:
1Maximum:
100
Responses
200
Successfully returned the template with its builds
Response headers
X-Next-Token·string· response headerCursor to fetch the next page of results, if more exist
Content-Type: application/json
Schema: TemplateWithBuilds
templateID·string· requiredIdentifier of the template
public·boolean· requiredWhether the template is public or only accessible by the team
names·array<string>· requiredNames of the template (namespace/alias format when namespaced)
createdAt·string· requiredTime when the template was created
Format:
date-timeupdatedAt·string· requiredTime when the template was last updated
Format:
date-timelastSpawnedAt·string | null· requiredTime when the template was last used
Format:
date-timespawnCount·integer· requiredNumber of times the template was used
Format:
int64builds·array<TemplateBuild>· requiredList of builds for the template
builds.buildID·string· requiredIdentifier of the build
Format:
uuidbuilds.status·TemplateBuildStatus· requiredStatus of the template build
Allowed values for
TemplateBuildStatus:building|waiting|ready|errorbuilds.createdAt·string· requiredTime when the build was created
Format:
date-timebuilds.updatedAt·string· requiredTime when the build was last updated
Format:
date-timebuilds.finishedAt·string· optionalTime when the build was finished
Format:
date-timebuilds.cpuCount·CPUCount· requiredCPU cores for the sandbox
Format:
int32Minimum:
1builds.memoryMB·MemoryMB· requiredMemory for the sandbox in MiB
Format:
int32Minimum:
128builds.diskSizeMB·DiskSizeMB· optionalDisk size for the sandbox in MiB
Format:
int32Minimum:
0builds.envdVersion·EnvdVersion· optionalVersion of the envd running in the sandbox
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError